## org.apache.tools.ant.taskdefs
Class Untar.UntarCompressionMethod

    java.lang.Object
      |
      +--org.apache.tools.ant.types.EnumeratedAttribute
            |
            +--org.apache.tools.ant.taskdefs.Untar.UntarCompressionMethod

Enclosing class:
  Untar

public static final class Untar.UntarCompressionMethod
extends EnumeratedAttribute

Valid Modes for Compression attribute to Untar Task

Field Summary

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`Untar.UntarCompressionMethod()` Constructor

Method Summary
`java.lang.String[]` `getValues()` Get valid enumeration values

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Untar.UntarCompressionMethod

    public Untar.UntarCompressionMethod()

  Constructor

Method Detail

### getValues

    public java.lang.String[] getValues()

  Get valid enumeration values

  Specified by:
    `getValues` in class `EnumeratedAttribute`
  Returns:
    valid values

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.